Bug 840029 - Invalid option 'protocols'
Invalid option 'protocols'
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnutls (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Tomas Mraz
Ondrej Moriš
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 09:37 EDT by Ondrej Moriš
Modified: 2014-06-13 08:26 EDT (History)
0 users

See Also:
Fixed In Version: gnutls-3.1.13-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:26:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Moriš 2012-07-13 09:37:59 EDT
Description of problem:

gnutls-cli should support option '--protocols', in RHEL5/6 it does, but in RHEL7 this options seems no to be supported even though it is documented in the manual page.

Version-Release number of selected component (if applicable):

gnutls-utils-2.12.18-1.el7

How reproducible:

100%

Steps to Reproduce:

1. gnutls-cli --protocols XYZ
  
Actual results:

Invalid option 'protocols'
Error in the arguments. Use the --help or -h parameters to get more information.

Expected results:

Option is supported.

Additional info:

There is also a change in the protocol listing (gnutls-cli --list), in RHEL5/6 there were protocols like TLS1.1, but in RHEL7 we see the following:

Protocols: VERS-SSL3.0, VERS-TLS1.0, VERS-TLS1.1, VERS-TLS1.2

Is it expected?
Comment 2 Tomas Mraz 2012-11-12 08:28:44 EST
The --protocols option is now unsupported, we have to remove it from the manual page.

The change in protocol listing is expected - it was done to fix some ambiguity.
Comment 3 Ondrej Moriš 2013-08-24 06:15:50 EDT
Successfully verified with gnutls-3.1.13-1.el7 and gnutls-utils-3.1.13-1.el7. The option --protocols is no longer mentioned in the man/info page and help.
Comment 4 Ludek Smid 2014-06-13 08:26:09 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.